var JV = require('./jpc_value_define');
var JpcFunc = {
    createNew: function (rptTpl) {
        var me = this;
        var rst = [];
        if (rptTpl[JV.NODE_FORMULAS]) {
            for (var i = 0; i < rptTpl[JV.NODE_FORMULAS].length; i++) {
                var item = {};
                item[JV.PROP_RUN_TYPE] = rptTpl[JV.NODE_FORMULAS][i][JV.PROP_RUN_TYPE];
                item[JV.PROP_EXPRESSION] = rptTpl[JV.NODE_FORMULAS][i][JV.PROP_EXPRESSION];
                rst.push(item);
            }
        }
        return rst;
    }
};

module.exports = JpcFunc;
